For the complete documentation index, see llms.txt. This page is also available as Markdown.

ChatMessageSeenUsers

Introduction

When a User has seen a ChatMessage, intratool tracks this as a ChatMessageSeenUser.

Model Definition

Relations

Key
Relation
Type
Relation Field(s)

user

Belongs to

user_id

chatMessage

Belongs to

chat_message_id

List by message

List visible ChatMessageSeenUsers for a ChatMessage.

Definition

GET /api/chat/messages/{chatMessage}/seen-users

Route Parameters

Parameter
Type
Description

chatMessage

integer | string

ChatMessage ID or hash.

Example Request

$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/chat/messages/1/seen-users', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);

Example Response

Create by conversation

Create ChatMessageSeenUsers for all unseen messages in a ChatConversation.

Definition

POST /api/chat/conversations/{chatConversation}/messages/seen-users

Route Parameters

Parameter
Type
Description

chatConversation

integer | string

ChatConversation ID or hash.

Behavior

The authenticated user is used automatically. Existing records are not duplicated, and notifications for the affected messages are marked as read.

Example Request

Example Response

Create by message

Create a ChatMessageSeenUser for the current authenticated User and a ChatMessage.

Definition

POST /api/chat/messages/{chatMessage}/seen-users

Route Parameters

Parameter
Type
Description

chatMessage

integer | string

ChatMessage ID or hash.

Behavior

The operation is idempotent and marks notifications for the message as read.

Example Request

Example Response

Last updated